StlTermPredicate Class Reference

Adapter for TermPredicate which allows it to be used as a predicate in STL. More...

`#include <TermPredicate.h>`

## Public Member Functions

| StlTermPredicate (const TermPredicate &pred)
template<class T>
bool | operator() (const T &a, const T &b) const

## Private Attributes

const TermPredicate & | _pred

## Detailed Description

Adapter for TermPredicate which allows it to be used as a predicate in STL.

Definition at line 64 of file TermPredicate.h.

## Constructor & Destructor Documentation

## StlTermPredicate()

StlTermPredicate::StlTermPredicate | ( | const TermPredicate & | pred | ) |

inline

Definition at line 66 of file TermPredicate.h.

## Member Function Documentation

## operator()()

template<class T>

bool StlTermPredicate::operator() | ( | const T & | a,
|  | const T & | b ) const

inline

Definition at line 68 of file TermPredicate.h.

## Member Data Documentation

## _pred

const TermPredicate& StlTermPredicate::_pred

private

Definition at line 70 of file TermPredicate.h.

The documentation for this class was generated from the following file:

- src/TermPredicate.h